Support » Plugin: Google Maps Gutenberg Block » The block uses deprecated JS objects

  • Please, update the block to work with the latest release of Gutenberg, the blocks.source object is deprecated and not available since Gutenberg 2.4 (https://github.com/WordPress/gutenberg/blob/master/docs/deprecated.md), wp.blocks.InspectorControls.* components are also deprecated and not available anymore. Lines 11 – 17 of block.js can be changed like that:

    
      var AlignmentToolbar = wp.blocks.AlignmentToolbar;
      var BlockControls = wp.blocks.BlockControls;
      var InspectorControls = wp.blocks.InspectorControls;
      var TextControl = wp.components.TextControl;
      var RangeControl = wp.components.RangeControl;
    
Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘The block uses deprecated JS objects’ is closed to new replies.